import commonLogic from '@/locale/logic/common/common-logic';
// 基于 APP/src/locale/lanres/entities/%DE_PKGPATH%/%DE_PKGPATH%_zh_CN_base.ts.ftl 生成
function getLocaleResourceBase(){
	const data:any = {
	fields: {
		updatedate: commonLogic.appcommonhandle("更新时间",null),
		sn: commonLogic.appcommonhandle("客户编号",null),
		customeruid: commonLogic.appcommonhandle("客户编号",null),
		orgid: commonLogic.appcommonhandle("ORGID",null),
		createman: commonLogic.appcommonhandle("建立人",null),
		updateman: commonLogic.appcommonhandle("更新人",null),
		address: commonLogic.appcommonhandle("公司地址",null),
		ibizcustomername: commonLogic.appcommonhandle("客户名称",null),
		createdate: commonLogic.appcommonhandle("建立时间",null),
		ibizcustomerid: commonLogic.appcommonhandle("客户标识",null),
	},
		views: {
			mpickupview: {
				caption: commonLogic.appcommonhandle("客户",null),
				title: commonLogic.appcommonhandle("客户数据多项选择视图",null),
			},
			pickupview: {
				caption: commonLogic.appcommonhandle("客户",null),
				title: commonLogic.appcommonhandle("客户数据选择视图",null),
			},
			pickupgridview: {
				caption: commonLogic.appcommonhandle("客户",null),
				title: commonLogic.appcommonhandle("客户选择表格视图",null),
			},
		},
		main_grid: {
			columns: {
				sn: commonLogic.appcommonhandle("客户编号",null),
				ibizcustomername: commonLogic.appcommonhandle("客户名称",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("常规条件",null), 
				formitem: commonLogic.appcommonhandle("客户名称(%)",null), 
			},
			uiactions: {
			},
		},
	};
	return data;
}
export default getLocaleResourceBase;